/*
    Theme Name:     Divi Child
    Theme URI:      https://www.elegantthemes.com/gallery/divi/
    Description:    Divi Child Theme
    Author:         Elegant Themes
    Author URI:     https://www.elegantthemes.com
    Template:       Divi
    Version:        1.0.0
*/


/* =Theme customization starts here
------------------------------------------------------- */



.login-form__outer {
    background-size: cover;
    background-image: linear-gradient(180deg, rgba(0, 0, 0, 0.5) 0%, rgba(0, 0, 0, 0.5) 100%), url(https://www.rocsstores.com/wp-content/uploads/2019/04/GettyImages-1037261350.jpg) !important;
    padding-block: 70px;
}

.login-form__outer form .form_fields .field_label {
    color: #fff !important;
    font-weight: 700;
}

.login-form__outer .form_fields div {
    width: 100%;
}

.login-form__outer .login-right-form input {
    height: 45px;
    padding-inline: 15px;
    width: 100%;
}

.login-form__outer input[type="submit"] {
    background-color: #c2d730;
    border: 0;
    font-weight: 700;
}

.reward-banner {
    position: relative;
}
.reward-banner.bg-cover:before {
    content: '';
    position: absolute;
    left: 0;
    width: 100%;
    background-color: #000;
    display: block;
    height: 100%;
    opacity: 0.5;
}
.reward-logo {
    padding-block: 40px;
    text-align: center;
}
.reward-logo img {
    max-height: 130px;
}


header .logo_container a img {
    padding-block: 4px;
}

.login-form__outer {
	background-size: cover;
	background-image: linear-gradient(180deg, rgba(0, 0, 0, 0.5) 0%, rgba(0, 0, 0, 0.5) 100%), url(https://www.rocsstores.com/wp-content/uploads/2019/04/GettyImages-1037261350.jpg) !important;
	padding-block: 70px;
}

.login-form__outer .form_fields {
	display: flex;
	gap: 15px;
}

.login-form__outer form {
	display: flex;
	align-items: center;
	gap: 15px;
	justify-content: space-between;
}

.login-right-form input {
	height: 45px;
	padding-inline: 15px;
	width: 100%;
}

.login-right-form .form_footer {
	width: 100px;
}

.login-form__outer form .form_body {
	width: calc(100% - 100px);
}

.login-form__outer .form_fields div {
	width: 100%;
	position: relative;
}

.login-form__outer .login_errors_inner {
	color: red;
	line-height: 16px;
	position: absolute;
	margin-top: 8px;
}

.login-form__outer form .form_fields .field_label {
	color: #fff !important;
}

.login-form__outer .form_fields div {
	width: 100%;
}

.login-form__outer .login-right-form input {
	height: 48px;
	border-radius: 3px;
	padding-inline: 15px;
	width: 100%;
}

.login-form__outer input[type="submit"] {
	background-color: #c2d730;
	border: 0;
	font-weight: 700;
	color: #fff;
	cursor: pointer;
}

.forgot-password-page_inner form {
	padding-block: 15px 0px;
	flex-wrap: wrap;
}

#password-change-input-error {
	position: absolute;
	bottom: -26px;
	left: 15px;
	width: 100%;
	text-align: left;
	color: red;
}

.forgot-password-page .form-input.fp__ip-fld {
	position: relative;
}

.forgot-password-page .forgot-password-page_inner {
	text-align: center;
	padding-block: 10%;
}

.forgot-password-page_inner form input {
	height: 48px;
	border-radius: 3px;
	padding-inline: 15px;
	width: 250px;
	margin-block: 5px;
}

.form-buttons.fp__btns input[type="submit"] {
	background-color: #c2d730;
	border: 0;
	font-weight: 700;
	cursor: pointer;
	padding-inline: 15px;
	width: 128px;
}

.forgot-password-page_inner form {
	padding-block: 15px 0px;
	display: flex;
	justify-content: center;
	gap: 15px;
}

.forgot-password-page.fp {
	position: relative;
	min-height: calc(100vh - 325px);
}

.forgot-password-page_inner .inner-title {
	font-size: 22px;
	font-family: 'Oswald', Helvetica, Arial, Lucida, sans-serif;
}

.rwds-register form .gform-grid-col input,
.rwds-register form .gfield--type-text input,
.rwds-register form .gfield--type-email input,
.rwds-register form .gfield--type-phone input, 
.rwds-register form .gfield--type-date input{
	height: 48px;
	border-radius: 8px;
	padding-inline: 15px !important;
	width: 100% !important;
	color: #979393;
	-webkit-text-fill-color: #979393;
}

.rwds-register .gform_heading {
	padding-bottom: 20px;
}

.rwds-register .ginput_full {
	width: 100%;
}

.rwds-register .ginput_full input {
	width: 100%;
	display: inline-block;
}

.rwds-register .ginput_container_address .ginput_right {
	flex: 0 0 100% !important;
}

.rwds-register .ginput_complex.has_country {
	width: 100%;
	max-width: 100%;
}

.rwds-register .ginput_complex.has_country .ginput_address_country {
	flex: 0 0 102% !important;
}

.rwds-register form .cancle__btn button {
	background-color: #fcfcfc;
	border: 1px solid #fcfcfc;
	cursor: pointer;
	font-size: 14px;
}

.rwds-register .ginput_complex.has_country .ginput_address_country select {
	width: 100%;
	height: 48px;
	border-radius: 8px;
	padding-inline: 15px !important;
	border-color: #afafaf;
	color: #979393;
	-webkit-text-fill-color: #979393;
}

.rwds-register .cancle__btn {
	position: absolute;
	bottom: 35px;
	left: 130px;
}

.rwds-register .gfield--width-full.gfield--type-checkbox .gchoice {
	width: 100% !important;
}

.rwds-register .gfield--input-type-radio .gfield_radio {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
}

.rwds-register .gform-footer input[type="submit"] {
	background-color: #c2d730;
	border: 0;
	font-weight: 700;
	cursor: pointer;
	padding: 15px 35px;
	border-radius: 5px;
	color: #fff;
}

.rwds-register form .gchoice:first-child, .rwds-register form .gchoice:nth-child(2) {
	width: 30%;
}

.rwds-register form .gchoice input[type="radio"] {
	display: none !important;
}

.rwds-register .sms-options.gfield legend {
	display: none !important;
}

.rwds-register .sms-options {
	text-align: left;
}

.rwds-register .sms-options .ginput_container {
	text-align: left;
	margin-left: 0;
}

.rwds-register form .gfield_radio input[type="radio"]:checked+label {
	background-color: #c2d730;
	color: #fff !important;
	border: #c2d730;
}

.rwds-register form .gchoice input[type="radio"]+label {
	border: 1px solid #bbb;
	border-radius: 6px;
	padding: 10px;
	margin: 0 !important;
	max-width: 100% !important;
	display: flex !important;
	justify-content: center;
	min-height: 48px;
	align-items: center;
	color: #979393;
}
.rwds-register .gfield_error .gfield_validation_message {
	border: 0;
	background-color: transparent;
	padding: 0;
	color: red;
}

.rwds-register .gform_validation_errors {
	display: none;
}

.myrewards_right .reward-form .row {
	display: flex;
	gap: 25px;
	justify-content: space-between;
	flex-wrap: wrap;
}


.rwds-register form .gfield--type-radio .ginput_container {
	width: calc(100% - 80px);
	margin-left: auto;
}


.rwds-register form .gender-options.gfield--type-choice legend.gfield_label {
	width: 80px;
	position: absolute;
}

.rwds-register form  fieldset.gfield--type-radio {
	display: flex !important;
	flex-wrap: wrap;
	position: relative;
}

.rwds-register .gform-grid-col label {
	display: none !important;
}

.rwds-register .gfield--type-name legend, .rwds-register .gfield--type-address legend {
	display: none !important;
}

.rwds-register form label.gfield_label {
	display: none !important;
}

.reward-banner {
	position: relative;
}
.reward-banner.bg-cover:before {
	content: '';
	position: absolute;
	left: 0;
	width: 100%;
	background-color: #000;
	display: block;
	height: 100%;
	opacity: 0.5;
}
.reward-logo {
	padding-block: 40px;
	text-align: center;
}
.reward-logo img {
	max-height: 130px;
}

.reward-banner {
	position: relative;
	background-position: center;
}

.myrewards_inner {
	display: flex;
	gap: 50px;
	padding-inline: 15px;
	padding-block: 50px;
	align-items: baseline;
}

.myrewards_left {
	width: 25%;
}

.myrewards_right {
	width: calc(100% - 25%);
}

.myrewards_inner {
	display: flex;
	gap: 50px;
	padding-inline: 15px;
	padding-block: 50px;
}

.myrewards_left {
	width: 28%;
	border: 1px solid #7e7e7e;
	border-radius: 12px;
}

.myrewards_right {
	width: calc(100% - 28%);
}

.myrewards_left .rewards-tab {
	height: 100%;
	padding-block: 20px;
}

.myrewards_left .rewards-tab .rewards-tab-item {
	padding-inline: 20px;
	padding-block: 8px;
}

.myrewards_right .inner-title {
	padding-block: 12px;
	font-weight: 600;
	font-size: 24px;
}

.myrewards_right table th {
	background-color: #eff1ed;
	padding: 10px 20px !important;
	width: 100%;
	min-width: 150px;
}

.myrewards_right .title-h3 {
	font-size: 16px !important;
	padding-top: 14px;
	font-weight: 600;
	padding-bottom: 14px;
	color: #222;
	text-transform: uppercase;
}

.myrewards_main .table {
	font-size: 15px;
	border: 1px solid #ddd;
}

.myrewards_inner .col-md-12.reward-col {
	width: 100%;
}

.myrewards_main .table>thead>tr>th {
	text-align: left;
	font-weight: 700;
	color: #222;
}

.myrewards_right .table>tbody>tr>td,
.myrewards_right .table>tfoot>tr>td,
.myrewards_right .table>thead>tr>td {
	padding: 10px 20px;
	line-height: 1.53846154;
	vertical-align: top;
	border-top: 1px solid #e5e4e3;
	font-size: 14px;
	color: #222;
}

.myrewards__inner__form .myrewards_right .row .reward-col:first-child {
	width: 70%;
}

.myrewards__inner__form .myrewards_right .row .reward-col:last-child {
	width: 30%;
}

.myrewards_right .row {
	display: flex;
	gap: 25px;
	justify-content: space-between;
}


.myrewards_left .rewards-tab li a {
	color: #222;
	font-weight: 700;
	font-size: 18px;
}

.signout-pdi-account {
	background-color: #c2d730;
	border: 0;
	font-weight: 700;
	cursor: pointer;
	padding: 10px 25px;
	border-radius: 2px;
	color: #fff;
	display: inline-block;
	margin-block: 10px;
}

.myrewards_left .rewards-tab li.active {
	background-color: #EFF1ED;
}

.myrewards_left .rewards-tab li {
	padding-left: 18px;
	padding-right: 18px;
	padding-top: 10px;
	padding-bottom: 10px;
}
.myrewards_left .menu-title {
	display: block;
	width: 100%;
	background-image: url(https://www.rocsstores.com/wp-content/uploads/2024/12/play.png);
	background-repeat: no-repeat;
	background-position: right;
	color: #222;
	font-weight: 700;
	font-size: 18px;
}
.rewards-tab-sub li a {
	font-size: 14px important;
}

.rewards-tab-sub li {
	padding-block: 10px !important;
}

.myrewards_left .rewards-tab-sub li {
	padding-block: 5px !important;
}

.myrewards_left .rewards-tab-sub li a {
	font-size: 14px;
	color: #777;
}

.myrewards_left .rewards-tab-sub {
	padding-top: 8px;
}

.my-edit-profile .reward-form .form-group {
	width: 48%;
}

.my-edit-profile .reward-form .form-group.col-full input {
	width: 100%;
}

.my-edit-profile input[type=email],
.my-edit-profile input[type=password],
.my-edit-profile input[type=tel],
.my-edit-profile input[type=text],
.my-edit-profile select,
.my-edit-profile textarea {
	background-color: #fff;
	border: 1px solid #bbb;
	padding: 2px;
	height: 48px;
	border-radius: 8px;
	padding-inline: 15px !important;
	width: 100% !important;
	color: #979393;
	-webkit-text-fill-color: #979393;
}

.my-edit-profile .submit-btns button {
	background-color: #c2d730;
	border: 0;
	font-weight: 700;
	cursor: pointer;
	padding: 15px 35px;
	border-radius: 5px;
	color: #fff;
}

.my-edit-profile .form-groups.col-full {
	width: 100%;
}

.my-edit-profile .form-group.col-full {
	width: 100% !important;
	text-align: left;
}

.my-edit-profile .submit-btns button {
	background-color: #c2d730;
	border: 0;
	font-weight: 700;
	cursor: pointer;
	padding: 15px 35px;
	border-radius: 5px;
	color: #fff;
}

.my-edit-profile .submit-btns .form-group div {
	display: flex;
	align-items: center;
}

.my-edit-profile .submit-btns.col-full {
	width: 100%;
}

.my-edit-profile .submit-btns .form-group .cancel {
	padding: 10px;
	background-color: #333;
	border-color: #333;
	font-size: 13px;
	padding: 12px 24px;
	border-radius: 5px;
	color: #fff;
	margin-inline: 10px;
}

.my-edit-profile .message_optin label {
	display: inline-block !important;
}

.my-edit-profile form .form-group.gender-options label {
	display: block !important;
}

.my-edit-profile .message_optin label {
	font-weight: 600;
}

.my-edit-profile form .form-group label {
	display: none;
}

.my-edit-profile .message_optin {
	width: 100% !important;
}

.radio-check.gender-options .radio-btns {
	display: flex;
	align-items: center;
	justify-content: space-between;
	width: calc(100% - 66px);
	flex: 1;
}

.my-edit-profile form .form-group.gender-options [for="gender"] {
	display: block;
	width: 66px;
	position: relative;
	font-weight: 600;
}

.my-edit-profile form input[type="radio"]{
	display: none;
}

.my-edit-profile form input[type="radio"]+label {
	border: 1px solid #bbb;
	border-radius: 6px;
	padding: 10px;
	margin: 0 !important;
	max-width: 100% !important;
	display: flex !important;
	justify-content: center;
	min-height: 48px;
	align-items: center;
	color: #979393;
}

.my-edit-profile .form-group.gender-options {
	display: flex;
	align-items: center;
}

.my-edit-profile form input[type="radio"]:checked+label {
	background-color: #c2d730;
	color: #fff !important;
	border: #c2d730;
}

.myrewards_right .change-pass-btn-inner button {
	background-color: #333;
	font-size: 13px;
	padding: 12px 24px;
	border-radius: 5px;
	color: #fff;
	margin-inline: 0;
	border: 0px;
	cursor: pointer;
}

.rewardsAccount__inner .rewardsAcc__cont {
	display: flex;
	width: 100%;
}

.rewardsAccount__inner .rewardsAcc__cont .card-text {
	width: calc(100% - 100px);
	padding-left: 6px;
}

.rewardsAccount__inner .card-content {
	display: flex;
	cursor: pointer;
	margin-bottom: 15px;
	background-color: #fff;
	border-radius: 4px;
	-webkit-box-shadow: 0 1px 1px rgb(0 0 0 / 20%);
	box-shadow: 0 1px 1px rgb(0 0 0 / 20%);
	padding-left: 10px;
	padding-right: 10px;
}

.rewardsAccount__inner .card-content .card-image {
	padding-bottom: 12px;
}

.rewardsAccount__inner .rewardsAcc__cont {
	display: flex;
	width: 100%;
}

.rewardsAccount__inner .rewardsAcc__cont .card-text {
	width: calc(100% - 100px);
	padding-left: 10px;
}

.myrewards_main .rewardsAcc__cont h4 {
	font-size: 18px;
	font-weight: 500;
	margin-bottom: -4px;
}

.page-template-rewardsAccount .transaction-modal {
	z-index: 111111;
	background: rgba(0, 0, 0, .68);
	overflow: hidden;
	position: fixed;
	top: 0;
	right: 0;
	bottom: 0;
	display: none;
	left: 0;
}

.page-template-rewardsAccount .transaction-modal.show{
	display: block;
}

.rewardsAcc__cont small.link-your-card {
	font-size: 12px;
	color: #a9a9a9;
}

.rewardsAccount__inner .card-statusicon {
	width: 100px;
	text-align: right;
	padding-right: 8px;
	opacity: 0.5;
	padding-top: 2px;
}

.rewardsAccount__inner h2 {
	font-size: 20px !important;
	padding-block: 0px 20px !important;
	line-height: 26px;
}

.rewards__Account-popup {
	max-width: 900px !important;
	margin-block: 2.75rem;
	min-height: calc(100% - 1.75rem);
	transform: none !important;
	width: 100%;
	margin-inline: auto;
	padding-left: 15px;
	padding-right: 15px;
}
.rewards__Account-popup .modal-content {
	background-color: #fff;
	border-radius: 5px;
}
.page-template-rewardsAccount .transaction-modal .panel {
	border: 0;
	margin-bottom: 0;
	box-shadow: none;
}

.rewards__Account-popup .rewards__Account-img {
	text-align: center;
	max-width:300px;
	margin-left: auto;
	margin-right: auto;
	width: 100%;
	padding-block: 20px 15px;
	padding-left: 12px;
	padding-right: 12px;
}

.rewards__Account-popup .from_inner_main span {
	margin-bottom: 5px;
	font-weight: bold;
	font-size: 18px;
}

.rewards__Account-popup .from_inner_main {
	padding: 20px 20px 0;
	display: flex;
	justify-content: center;
	max-width: 320px;
	margin: 10px auto 28px;
	align-items: center;
	flex-direction: column;
	position: relative;
}

.rewards__Account-popup form {
	text-align: center;
	border-top: 1px solid #dfdddd;
	padding-top: 20px;
	padding-bottom: 5px;
}

.rewards__Account-popup .from_inner_main span {
	margin-bottom: 5px;
	font-weight: bold;
	font-size: 18px;
	color: #262626;
}

.rewards__Account-popup .from_inner_main span.card_errors {
	color: red;
	font-size: 12px;
	line-height: 16px;
}

.rewards__Account-popup .modal-title {
	font-size: 24px;
	padding-inline: 20px;
	padding-block: 15px;
	border-bottom: 1px solid #dfdddd;
}

.rewards__Account-popup form .bottom-btns {
	text-align: right;
	padding-inline: 20px;
	border-top: 1px solid #dfdddd;
}

.rewards__Account-popup form .bottom-btns button {
	background-color: #c2d730;
	border: 0;
	font-weight: 700;
	cursor: pointer;
	padding: 10px 25px;
	color: #fff;
	display: inline-block;
	margin-block: 10px;
	margin-inline: 4px;
	border-radius: 3px;
}

.rewards__Account-popup form #close_card_link {
	background-color: #333;
}

.rewards__Account-popup .from_inner_main input {
	max-width: 100%;
	margin: 0px auto;
	height: 38px;
	margin-bottom: 10px;
	width: 100%;
	border-color: #dfdddd;
	border-radius: 6px;
	padding-inline: 15px;
}

.rewards__Account-popup .from_inner_main_cards .card_number_text {
	padding-right: 20px;
}

.rewards__Account-popup .from_inner_main_cards .status-active {
	color: #c2d730;
}

.rewards__Account-popup #submit_card_unlink {
	margin-left: 6px;
}

.rewards__Account-popup .from_inner_main_cards .card-list-title {
	margin-bottom: 5px;
	font-weight: 700;
}


@media (max-width: 1199px){
	.rwds-register form .gfield--type-radio .ginput_container {
		width: calc(100% - 80px);
		margin-left: auto;
	}
	.rwds-register .gfield--input-type-radio .gfield_radio {
		flex: 1;
		gap: 2px;
	}
	.rwds-register form .gchoice:first-child,
	.rwds-register form .gchoice:nth-child(2) {
		width: auto !important;
	}
	.rwds-register form .gender-options.gfield--type-choice legend.gfield_label {
		width:80px;
		position: absolute;
	}
	.myrewards_main .container {
		width: 90%;
	}
	.myrewards_left .rewards-tab li a {
		font-size: 16px;
	}
	.myrewards_left .menu-title {
		font-size: 16px;
	}
	.myrewards_left .rewards-tab li {
		padding-left: 8px;
		padding-right: 8px;
	}
	.myrewards_main .container {
		width: 92%;
	}
	#main-header .et_menu_container {
    padding-inline: 15px;
}
	#top-header .container {
		padding-inline: 15px;
	}
	header #top-menu li a {
    font-size: 14px;
}
	header #top-menu li {
    font-size: 14px;
    padding-right: 12px;
}
#main-header .logo_container img {
    padding-block: 8px;
}	
}

@media (min-width: 768px) and (max-width: 980px){
	.rwds-register form .gender-options.gfield--type-choice legend.gfield_label {
		width: 100%;
		position: absolute;
		top: -18px;
		font-size: 12px;
	}
	.rwds-register form .gfield--type-radio .ginput_container {
		width: calc(100% - 0px);
		margin-left: auto;
	}
	.rwds-register .gfield--input-type-radio .gfield_radio {
		flex: 1;
		gap: 2px;
	}
	.rwds-register form .gchoice:first-child,
	.rwds-register form .gchoice:nth-child(2) {
		width: auto !important;
	}
}

@media (max-width: 767px){
	#main-header .logo_container img {
    padding-block: 0px;
}	
	.rwds-register form .gender-options {
    position: relative;
    margin-top: 20px !important;
}
	.rwds-register form .gender-options legend {
    position: relative;
    width: 100% !important;
    top: -20px !important;
}
	.rwds-register .gform_wrapper .gfield-choice-input+label {
    vertical-align: top;
}
	.myrewards_inner {
		flex-wrap: wrap;
	}
	.myrewards_right {
		width: 100%;
	}
	.myrewards_left {
		width: 270px;
		border: 1px solid #7e7e7e;
		border-radius: 12px;
	}
	.myrewards_right .row {
		flex-wrap: wrap;
	}	
	.my-edit-profile .reward-form .form-group {
		width: 100%;
	}

	.myrewards_right .reward-form .row {
		gap: 10px;
	}	
	.rwds-register .gform_wrapper form .gchoice {
		width: 100% !important;
		margin-block: 8px;
	}
	.rwds-register form .gfield--type-radio .ginput_container {
		width: calc(100% - 0px);
		margin-left: auto;
	}	
	.rwds-register form fieldset.gfield--type-radio {
		grid-column: span 12;
	}
	.rwds-register .gform_wrapper .gfield.gfield--width-half {
		grid-column: span 12;
	}
	.rwds-register .gfield--type-address .ginput_address_line_2 {
		margin-block: 16px !important;
		display: block;
		width: 102%;
	}

	.rwds-register .gfield--type-address .ginput_address_line_1 {
		margin-top: 8px;
		display: block;
		width: 102%;
	}	
	.myrewards_right .reward-col {
		width: 100% !important;
	}	
	.myrewards_left .rewards-tab-sub li a {
    	font-size: 14px !important;
	}
}


@media (max-width: 640px){
	.rwds-register .gfield--type-address .ginput_address_line_2 {
		margin-block: 10px 15px !important;
		display: block;
		width: 102%;
	}
	.rwds-register form .gfield--type-radio .ginput_container {
		width: calc(100% - 0px);
	}
	.rwds-register form .gender-options.gfield--type-choice legend.gfield_label {
		position: relative;
	}
	.rwds-register .gfield .gfield_radio .gchoice {
		width: 100% !important;
	}
	.rwds-register form .gfield .gfield_radio .gchoice:last-child {
		margin-bottom: 0px;
	}
	.rwds-register .gfield--type-address {
		margin-bottom: -14px !important;
	}
	.rwds-register form .gfield--type-name .gform-grid-col {
		margin-block: 0px 15px !important;
	}
	.rwds-register form .name_last {
		margin-bottom: 0px !important;
	}
	.login-form__outer form {
		flex-wrap: wrap;
	}
	.login-form__outer .form_fields {
		flex-wrap: wrap;
	}
	.login-form__outer form .form_body {
		width: 100%;
	}
}